| Home | Libraries | People | FAQ | More

## Global digit

boost::xpressive::digit — Matches a digit character.

## Synopsis

    // In header: <boost/xpressive/regex_primitives.hpp>

    unspecified digit;

## Description

The regex traits are used to determine which characters are digits. To match any character that is not a digit, use ~digit.

| Note
digit is equivalent to /[[:digit:]]/ in perl. ~digit is equivalent to /[[:^digit:]]/ in perl.